## org.eclipse.datatools.enablement.sybase.asa.models.sybaseasabasesqlmodel
Class TypeOfDefault

    java.lang.Object
      org.eclipse.emf.common.util.AbstractEnumerator
          org.eclipse.datatools.enablement.sybase.asa.models.sybaseasabasesqlmodel.TypeOfDefault

All Implemented Interfaces:
  java.io.Serializable, org.eclipse.emf.common.util.Enumerator

    public final class TypeOfDefault

extends org.eclipse.emf.common.util.AbstractEnumerator

A representation of the literals of the enumeration 'Type Of Default', and utility methods for working with them.

See Also:
  `SybaseasabasesqlmodelPackage.getTypeOfDefault()`, Serialized Form

Field Summary
`static int` `COMPUTED_VALUE` The 'COMPUTED VALUE' literal value.
`static TypeOfDefault` `COMPUTED_VALUE_LITERAL` The 'COMPUTED VALUE' literal object.
`static int` `NO_DEFAULT` The 'NO DEFAULT' literal value.
`static TypeOfDefault` `NO_DEFAULT_LITERAL` The 'NO DEFAULT' literal object.
`static int` `SYSTEM_DEFINED` The 'SYSTEM DEFINED' literal value.
`static TypeOfDefault` `SYSTEM_DEFINED_LITERAL` The 'SYSTEM DEFINED' literal object.
`static int` `USER_DEFINED` The 'USER DEFINED' literal value.
`static TypeOfDefault` `USER_DEFINED_LITERAL` The 'USER DEFINED' literal object.
`static java.util.List` `VALUES` A public read-only list of all the 'Type Of Default' enumerators.

Method Summary
`static TypeOfDefault` `get(int value)` Returns the 'Type Of Default' literal with the specified integer value.
`static TypeOfDefault` `get(java.lang.String literal)` Returns the 'Type Of Default' literal with the specified literal value.
`static TypeOfDefault` `getByName(java.lang.String name)` Returns the 'Type Of Default' literal with the specified name.

Methods inherited from class org.eclipse.emf.common.util.AbstractEnumerator
`getLiteral, getName, getValue, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### NO_DEFAULT

    public static final int NO_DEFAULT

  The 'NO DEFAULT' literal value.

  If the meaning of 'NO DEFAULT' literal object isn't clear, there really should be more of a description here...

  See Also:
    `NO_DEFAULT_LITERAL`, Constant Field Values

### USER_DEFINED

    public static final int USER_DEFINED

  The 'USER DEFINED' literal value.

  If the meaning of 'USER DEFINED' literal object isn't clear, there really should be more of a description here...

  See Also:
    `USER_DEFINED_LITERAL`, Constant Field Values

### SYSTEM_DEFINED

    public static final int SYSTEM_DEFINED

  The 'SYSTEM DEFINED' literal value.

  If the meaning of 'SYSTEM DEFINED' literal object isn't clear, there really should be more of a description here...

  See Also:
    `SYSTEM_DEFINED_LITERAL`, Constant Field Values

### COMPUTED_VALUE

    public static final int COMPUTED_VALUE

  The 'COMPUTED VALUE' literal value.

  If the meaning of 'COMPUTED VALUE' literal object isn't clear, there really should be more of a description here...

  See Also:
    `COMPUTED_VALUE_LITERAL`, Constant Field Values

### NO_DEFAULT_LITERAL

    public static final TypeOfDefault NO_DEFAULT_LITERAL

  The 'NO DEFAULT' literal object.

  See Also:
    `NO_DEFAULT`

### USER_DEFINED_LITERAL

    public static final TypeOfDefault USER_DEFINED_LITERAL

  The 'USER DEFINED' literal object.

  See Also:
    `USER_DEFINED`

### SYSTEM_DEFINED_LITERAL

    public static final TypeOfDefault SYSTEM_DEFINED_LITERAL

  The 'SYSTEM DEFINED' literal object.

  See Also:
    `SYSTEM_DEFINED`

### COMPUTED_VALUE_LITERAL

    public static final TypeOfDefault COMPUTED_VALUE_LITERAL

  The 'COMPUTED VALUE' literal object.

  See Also:
    `COMPUTED_VALUE`

### VALUES

    public static final java.util.List VALUES

  A public read-only list of all the 'Type Of Default' enumerators.

Method Detail

### get

    public static TypeOfDefault get(java.lang.String literal)

  Returns the 'Type Of Default' literal with the specified literal value.

### getByName

    public static TypeOfDefault getByName(java.lang.String name)

  Returns the 'Type Of Default' literal with the specified name.

### get

    public static TypeOfDefault get(int value)

  Returns the 'Type Of Default' literal with the specified integer value.